Page MenuHomePhabricator

[Bug] Fix empty map serialization behaviour
Closed, ResolvedPublic

Description

The problem is outlined here:
https://lists.wikimedia.org/pipermail/wikidata-tech/2014-September/000575.html

Place where a serializer maybe can be told to differentiate for json output: extensions/Wikibase.git/repo/includes/api/ApiHelperFactory.php getSerializerFactory()


Version: unspecified
Severity: major
Whiteboard: u=dev c=backend p=3

Details

Reference
bz71349

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedJanZerebecki
Resolved Addshore
OpenNone
ResolvedJanZerebecki
ResolvedJanZerebecki
OpenNone
InvalidNone
InvalidNone
Declined Addshore
Resolved Addshore
ResolvedLydia_Pintscher
Resolved Addshore
Resolvedaude
OpenNone
Resolveddaniel
InvalidNone
OpenNone
OpenNone
InvalidNone
InvalidNone
InvalidNone
InvalidNone
InvalidNone
DeclinedBene
ResolvedBene
OpenNone
OpenNone
Resolvedhoo
ResolvedTobi_WMDE_SW
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolvedaude
Resolveddaniel
Resolveddaniel
ResolvedBene
InvalidNone
InvalidNone
InvalidNone
Resolved Addshore
InvalidNone
InvalidNone
Resolveddaniel
Invaliddaniel
Resolveddaniel
Resolvedthiemowmde
DeclinedNone
OpenNone
Resolved Addshore
Resolved Addshore
ResolvedBene
ResolvedBene
ResolvedBene
Resolved Addshore
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 4:00 AM
bzimport set Reference to bz71349.
bzimport added a subscriber: Unknown Object (MLST).
  • Bug 71458 has been marked as a duplicate of this bug. ***
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).Dec 1 2014, 2:31 PM

Related problem in the mediawiki API output: T12887

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2015, 5:12 AM
Addshore renamed this task from Fix empty map serialization behaviour to [Bug] Fix empty map serialization behaviour.Aug 21 2015, 1:00 PM

*goes to check if this still happens or not* ....

It seems that the Web API for wbeditentities is also returning empty lists when creating new items (at least on test.wikidata.org). Is this the same bug or a different component?

All of that stuff uses the same other stuff, so I will keep having a look at this!

hoo added a subscriber: hoo.Apr 6 2017, 10:41 AM

@Addshore Can this be closed by now, or do we still have places to investigate this?